| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
OStreamConsumer Class Referenceabstract

`#include <OStreamConsumer.hpp>`

Inheritance diagram for OStreamConsumer:
[legend]

## Public Member Functions

virtual | ~OStreamConsumer ()=default
FASTDDS_EXPORTED_API void | Consume (const Log::Entry &entry) override
Public Member Functions inherited from LogConsumer
virtual | ~LogConsumer ()=default

## Protected Member Functions

virtual FASTDDS_EXPORTED_API std::ostream & | get_stream (const Log::Entry &entry)=0
Protected Member Functions inherited from LogConsumer
FASTDDS_EXPORTED_API void | print_timestamp (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_header (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_context (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_message (std::ostream &stream, const Log::Entry &, bool color) const
FASTDDS_EXPORTED_API void | print_new_line (std::ostream &stream, bool color) const

## Constructor & Destructor Documentation

## ◆ ~OStreamConsumer()

virtual ~OStreamConsumer | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ Consume()

FASTDDS_EXPORTED_API void Consume | ( | const Log::Entry & | entry | ) |

override virtual

Implements LogConsumer.

## ◆ get_stream()

virtual FASTDDS_EXPORTED_API std::ostream & get_stream | ( | const Log::Entry & | entry | ) |

protected pure virtual

Implemented in StdoutErrConsumer.

The documentation for this class was generated from the following file:

- include/fastdds/dds/log/OStreamConsumer.hpp